## asymptote 2.82+ds

=== LspCpp/third_party/uri/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.82/LspCpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.82/LspCpp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles /usr/local/src/asymptote-2.82/LspCpp/third_party/uri//CMakeFiles/progress.marks
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
third_party/uri/CMakeFiles/doc.dir/rule:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/CMakeFiles/doc.dir/rule
.PHONY : third_party/uri/CMakeFiles/doc.dir/rule

# Convenience name for target.
doc: third_party/uri/CMakeFiles/doc.dir/rule
.PHONY : doc

# fast build rule for target.
doc/fast:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/CMakeFiles/doc.dir/build.make third_party/uri/CMakeFiles/doc.dir/build
.PHONY : doc/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... doc"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== LspCpp/third_party/uri/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.82/LspCpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.82/LspCpp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles /usr/local/src/asymptote-2.82/LspCpp/third_party/uri/src//CMakeFiles/progress.marks
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
third_party/uri/src/CMakeFiles/network-uri.dir/rule:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/CMakeFiles/network-uri.dir/rule
.PHONY : third_party/uri/src/CMakeFiles/network-uri.dir/rule

# Convenience name for target.
network-uri: third_party/uri/src/CMakeFiles/network-uri.dir/rule
.PHONY : network-uri

# fast build rule for target.
network-uri/fast:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/build
.PHONY : network-uri/fast

detail/uri_advance_parts.o: detail/uri_advance_parts.cpp.o
.PHONY : detail/uri_advance_parts.o

# target to build an object file
detail/uri_advance_parts.cpp.o:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.o
.PHONY : detail/uri_advance_parts.cpp.o

detail/uri_advance_parts.i: detail/uri_advance_parts.cpp.i
.PHONY : detail/uri_advance_parts.i

# target to preprocess a source file
detail/uri_advance_parts.cpp.i:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.i
.PHONY : detail/uri_advance_parts.cpp.i

detail/uri_advance_parts.s: detail/uri_advance_parts.cpp.s
.PHONY : detail/uri_advance_parts.s

# target to generate assembly for a file
detail/uri_advance_parts.cpp.s:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.s
.PHONY : detail/uri_advance_parts.cpp.s

detail/uri_normalize.o: detail/uri_normalize.cpp.o
.PHONY : detail/uri_normalize.o

# target to build an object file
detail/uri_normalize.cpp.o:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.o
.PHONY : detail/uri_normalize.cpp.o

detail/uri_normalize.i: detail/uri_normalize.cpp.i
.PHONY : detail/uri_normalize.i

# target to preprocess a source file
detail/uri_normalize.cpp.i:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.i
.PHONY : detail/uri_normalize.cpp.i

detail/uri_normalize.s: detail/uri_normalize.cpp.s
.PHONY : detail/uri_normalize.s

# target to generate assembly for a file
detail/uri_normalize.cpp.s:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.s
.PHONY : detail/uri_normalize.cpp.s

detail/uri_parse.o: detail/uri_parse.cpp.o
.PHONY : detail/uri_parse.o

# target to build an object file
detail/uri_parse.cpp.o:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.o
.PHONY : detail/uri_parse.cpp.o

detail/uri_parse.i: detail/uri_parse.cpp.i
.PHONY : detail/uri_parse.i

# target to preprocess a source file
detail/uri_parse.cpp.i:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.i
.PHONY : detail/uri_parse.cpp.i

detail/uri_parse.s: detail/uri_parse.cpp.s
.PHONY : detail/uri_parse.s

# target to generate assembly for a file
detail/uri_parse.cpp.s:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.s
.PHONY : detail/uri_parse.cpp.s

detail/uri_parse_authority.o: detail/uri_parse_authority.cpp.o
.PHONY : detail/uri_parse_authority.o

# target to build an object file
detail/uri_parse_authority.cpp.o:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.o
.PHONY : detail/uri_parse_authority.cpp.o

detail/uri_parse_authority.i: detail/uri_parse_authority.cpp.i
.PHONY : detail/uri_parse_authority.i

# target to preprocess a source file
detail/uri_parse_authority.cpp.i:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.i
.PHONY : detail/uri_parse_authority.cpp.i

detail/uri_parse_authority.s: detail/uri_parse_authority.cpp.s
.PHONY : detail/uri_parse_authority.s

# target to generate assembly for a file
detail/uri_parse_authority.cpp.s:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.s
.PHONY : detail/uri_parse_authority.cpp.s

detail/uri_resolve.o: detail/uri_resolve.cpp.o
.PHONY : detail/uri_resolve.o

# target to build an object file
detail/uri_resolve.cpp.o:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_resolve.cpp.o
.PHONY : detail/uri_resolve.cpp.o

detail/uri_resolve.i: detail/uri_resolve.cpp.i
.PHONY : detail/uri_resolve.i

# target to preprocess a source file
detail/uri_resolve.cpp.i:
	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_resolve.cpp.i
.PHONY : detail/uri_resolve.cpp.i

detail/uri_resolve.s: detail/uri_resolve.cpp.s
.PHONY : detail/uri_resolve.s

# target to generate assembly for a file
detail/uri_resolve.cpp.s:

=== debian/changelog ===
asymptote (2.82+ds-2) unstable; urgency=medium

  * Remove lesss file from upstream code (due to evil clause).
  * ..rapidjson is re-onboarded. We can build again with Lsp support.

 -- Hilmar Preusse <hille42@web.de>  Fri, 12 Aug 2022 00:44:18 +0200

asymptote (2.82+ds-1) unstable; urgency=medium

  * New upstream version, refresh patches.
  * Disable LSPServer, source code of "rapidjson" will be removed
    upon upload of next upstream version. Add Lintian override for
    "license-problem-json-evil" for now.
  * Lintian E: source-is-missing. Add cropped / broken modification
    of asygl.js & gl-matrix.js to debian/missing-sources.
  * Add "pkg-config" & "libeigen3-dev" to B-D to get rid of some
    "./configure ... not found" messages.

 -- Hilmar Preusse <hille42@web.de>  Wed, 10 Aug 2022 17:19:46 +0200

asymptote (2.81+ds-1) unstable; urgency=medium

  * New upstream version, refresh patches.
    - Add doxygen & graphviz to BD and Dep of test suite.

 -- Hilmar Preusse <hille42@web.de>  Sun, 15 May 2022 23:25:48 +0200

asymptote (2.80+ds-1) unstable; urgency=medium

  * New upstream version, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Sat, 09 Apr 2022 11:03:48 +0200

asymptote (2.79+ds-2) unstable; urgency=medium

  * Add pyqt5-dev-tools to BD's to generate missing file "icons_rc.py".
    (Closes: #1008917)
  * Remove obsolete patches.

 -- Hilmar Preusse <hille42@web.de>  Mon, 04 Apr 2022 23:05:00 +0200

asymptote (2.79+ds-1) unstable; urgency=medium

  * New upstream release, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Wed, 09 Mar 2022 11:04:16 +0100

=== debian/control ===
Source: asymptote
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Hubert Chathi <uhoreg@debian.org>,
           Ruben Molina <rmolina@udea.edu.co>,
           Picca Frédéric-Emmanuel <picca@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Hilmar Preusse <hille42@web.de>
Section: tex
Priority: optional
Build-Depends: bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               cmake,
               pkg-config,
               freeglut3-dev,
               libosmesa6-dev,
               ghostscript,
               imagemagick,
               libboost-program-options1.74-dev,
               libboost-filesystem1.74-dev,
               libboost-thread1.74-dev,
               libcurl4-gnutls-dev,
               libeigen3-dev,
               libfftw3-dev,
               libgc-dev,
               libgsl-dev,
               libncurses-dev,
               libreadline-dev,
               libsigsegv-dev,
               libtimedate-perl,
               python3,
               pyqt5-dev-tools,
               rapidjson-dev,
               tex-common,
               doxygen,
               graphviz,
               texinfo,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-pstricks,
               zlib1g-dev,
               libglm-dev,
               libglew-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://asymptote.sourceforge.net/
Vcs-Git: https://github.com/debian-tex/asymptote.git
Vcs-Browser: https://github.com/debian-tex/asymptote

Package: asymptote
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ghostscript,
         imagemagick,
         texlive-binaries,
         texlive-latex-base,
         texlive-pstricks,
         texlive-plain-generic,
         xdg-utils
Suggests: asymptote-x11
Recommends: asymptote-doc
Description: script-based vector graphics language inspired by MetaPost
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.

Package: asymptote-x11
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         asymptote (>= ${binary:Version}),
         librsvg2-bin,
         python3-cson,
         python3-numpy,
         python3-pyqt5,
         python3-pyqt5.qtsvg
Suggests: gv,
          evince | pdf-viewer
Breaks: asymptote (<= 2.49-2)
Replaces: asymptote (<= 2.49-2)
Description: script-based vector graphics language inspired by MetaPost - the GUI part
 Asymptote is a powerful script-based vector graphics language for technical
 drawings, inspired by MetaPost but with an improved C++-like syntax.
 Asymptote provides for figures the same high-quality level of typesetting that
 LaTeX does for scientific text.
 .
 In the event that adjustments to the final figure are required, the
 preliminary Graphical User Interface (GUI) xasy included with Asymptote allows
 you to move graphical objects and draw new ones. The modified figure can then
 be saved as a normal Asymptote file.

Package: asymptote-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: asymptote,
            info-browser | pdf-viewer | www-browser
Description: documentation and examples for asymptote
 Asymptote is a powerful descriptive vector graphics language that
 provides a natural coordinate-based framework for technical drawing.
 This package provides documentation and examples.

=== debian/tests/control ===
Tests: test-suite
Depends: bison,
	dh-python,
	dpkg-dev (>= 1.16.1),
	build-essential,
	doxygen,
	graphviz,
	flex,
	cmake,
	pkg-config,
	freeglut3-dev,
	libosmesa6-dev,
	ghostscript,
	imagemagick,
	libeigen3-dev,
	libfftw3-dev,
	libgc-dev,
	libgsl-dev,
	libncurses-dev,
	libreadline-dev,
	libsigsegv-dev,
	libtimedate-perl,
	python3,
	pyqt5-dev-tools,
	zlib1g-dev,
	libboost1.74-dev,
	libboost-program-options1.74-dev,
	libboost-filesystem1.74-dev,
	libboost-thread1.74-dev,
	libcurl4-gnutls-dev,
	libglm-dev,
	libglew-dev,
	texlive-latex-base
Restrictions: build-needed, allow-stderr

## asymptote 2.83+ds

=== LspCpp/third_party/uri/Makefile ===
--- 
+++ 
@@ -60,10 +60,10 @@
 EQUALS = =
 
 # The top-level source directory on which CMake was run.
-CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.82/LspCpp
+CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.83/LspCpp
 
 # The top-level build directory on which CMake was run.
-CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.82/LspCpp
+CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.83/LspCpp
 
 #=============================================================================
 # Targets provided globally by CMake.
@@ -135,14 +135,14 @@
 
 # The main all target
 all: cmake_check_build_system
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles /usr/local/src/asymptote-2.82/LspCpp/third_party/uri//CMakeFiles/progress.marks
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/all
-	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.82/LspCpp/CMakeFiles 0
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.83/LspCpp/CMakeFiles /usr/local/src/asymptote-2.83/LspCpp/third_party/uri//CMakeFiles/progress.marks
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/all
+	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.83/LspCpp/CMakeFiles 0
 .PHONY : all
 
 # The main clean target
 clean:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/clean
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/clean
 .PHONY : clean
 
 # The main clean target
@@ -151,22 +151,22 @@
 
 # Prepare targets for installation.
 preinstall: all
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
 .PHONY : preinstall
 
 # Prepare targets for installation.
 preinstall/fast:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
 .PHONY : preinstall/fast
 
 # clear depends
 depend:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
 .PHONY : depend
 
 # Convenience name for target.
 third_party/uri/CMakeFiles/doc.dir/rule:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/CMakeFiles/doc.dir/rule
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/CMakeFiles/doc.dir/rule
 .PHONY : third_party/uri/CMakeFiles/doc.dir/rule
 
 # Convenience name for target.
@@ -175,7 +175,7 @@
 
 # fast build rule for target.
 doc/fast:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/CMakeFiles/doc.dir/build.make third_party/uri/CMakeFiles/doc.dir/build
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/CMakeFiles/doc.dir/build.make third_party/uri/CMakeFiles/doc.dir/build
 .PHONY : doc/fast
 
 # Help Target
@@ -202,6 +202,6 @@
 # No rule that depends on this can have commands that come from listfiles
 # because they might be regenerated.
 cmake_check_build_system:
-	cd /usr/local/src/asymptote-2.82/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
+	cd /usr/local/src/asymptote-2.83/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
 .PHONY : cmake_check_build_system

=== LspCpp/third_party/uri/src/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.22

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.83/LspCpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.83/LspCpp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /usr/local/src/asymptote-2.83/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.83/LspCpp/CMakeFiles /usr/local/src/asymptote-2.83/LspCpp/third_party/uri/src//CMakeFiles/progress.marks
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.83/LspCpp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
third_party/uri/src/CMakeFiles/network-uri.dir/rule:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/src/CMakeFiles/network-uri.dir/rule
.PHONY : third_party/uri/src/CMakeFiles/network-uri.dir/rule

# Convenience name for target.
network-uri: third_party/uri/src/CMakeFiles/network-uri.dir/rule
.PHONY : network-uri

# fast build rule for target.
network-uri/fast:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/build
.PHONY : network-uri/fast

detail/uri_advance_parts.o: detail/uri_advance_parts.cpp.o
.PHONY : detail/uri_advance_parts.o

# target to build an object file
detail/uri_advance_parts.cpp.o:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.o
.PHONY : detail/uri_advance_parts.cpp.o

detail/uri_advance_parts.i: detail/uri_advance_parts.cpp.i
.PHONY : detail/uri_advance_parts.i

# target to preprocess a source file
detail/uri_advance_parts.cpp.i:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.i
.PHONY : detail/uri_advance_parts.cpp.i

detail/uri_advance_parts.s: detail/uri_advance_parts.cpp.s
.PHONY : detail/uri_advance_parts.s

# target to generate assembly for a file
detail/uri_advance_parts.cpp.s:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_advance_parts.cpp.s
.PHONY : detail/uri_advance_parts.cpp.s

detail/uri_normalize.o: detail/uri_normalize.cpp.o
.PHONY : detail/uri_normalize.o

# target to build an object file
detail/uri_normalize.cpp.o:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.o
.PHONY : detail/uri_normalize.cpp.o

detail/uri_normalize.i: detail/uri_normalize.cpp.i
.PHONY : detail/uri_normalize.i

# target to preprocess a source file
detail/uri_normalize.cpp.i:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.i
.PHONY : detail/uri_normalize.cpp.i

detail/uri_normalize.s: detail/uri_normalize.cpp.s
.PHONY : detail/uri_normalize.s

# target to generate assembly for a file
detail/uri_normalize.cpp.s:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_normalize.cpp.s
.PHONY : detail/uri_normalize.cpp.s

detail/uri_parse.o: detail/uri_parse.cpp.o
.PHONY : detail/uri_parse.o

# target to build an object file
detail/uri_parse.cpp.o:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.o
.PHONY : detail/uri_parse.cpp.o

detail/uri_parse.i: detail/uri_parse.cpp.i
.PHONY : detail/uri_parse.i

# target to preprocess a source file
detail/uri_parse.cpp.i:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.i
.PHONY : detail/uri_parse.cpp.i

detail/uri_parse.s: detail/uri_parse.cpp.s
.PHONY : detail/uri_parse.s

# target to generate assembly for a file
detail/uri_parse.cpp.s:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse.cpp.s
.PHONY : detail/uri_parse.cpp.s

detail/uri_parse_authority.o: detail/uri_parse_authority.cpp.o
.PHONY : detail/uri_parse_authority.o

# target to build an object file
detail/uri_parse_authority.cpp.o:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.o
.PHONY : detail/uri_parse_authority.cpp.o

detail/uri_parse_authority.i: detail/uri_parse_authority.cpp.i
.PHONY : detail/uri_parse_authority.i

# target to preprocess a source file
detail/uri_parse_authority.cpp.i:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.i
.PHONY : detail/uri_parse_authority.cpp.i

detail/uri_parse_authority.s: detail/uri_parse_authority.cpp.s
.PHONY : detail/uri_parse_authority.s

# target to generate assembly for a file
detail/uri_parse_authority.cpp.s:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_parse_authority.cpp.s
.PHONY : detail/uri_parse_authority.cpp.s

detail/uri_resolve.o: detail/uri_resolve.cpp.o
.PHONY : detail/uri_resolve.o

# target to build an object file
detail/uri_resolve.cpp.o:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_resolve.cpp.o
.PHONY : detail/uri_resolve.cpp.o

detail/uri_resolve.i: detail/uri_resolve.cpp.i
.PHONY : detail/uri_resolve.i

# target to preprocess a source file
detail/uri_resolve.cpp.i:
	cd /usr/local/src/asymptote-2.83/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/src/CMakeFiles/network-uri.dir/build.make third_party/uri/src/CMakeFiles/network-uri.dir/detail/uri_resolve.cpp.i
.PHONY : detail/uri_resolve.cpp.i

detail/uri_resolve.s: detail/uri_resolve.cpp.s
.PHONY : detail/uri_resolve.s

# target to generate assembly for a file
detail/uri_resolve.cpp.s:

=== debian/changelog ===
asymptote (2.83+ds-1) unstable; urgency=medium

  * New upstream version, refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Wed, 21 Sep 2022 12:07:38 +0200
